<?php
/**
 * Plugin Name: Kuroneko Web Collect for Woo
 * Plugin URI: https://www.collne.com/yamato-credit-for-woo/
 * Description: When using KuronekoWebCollect, the payment of credit card will be available.
 * Author: Collne Inc., yamatofinancial
 * Author URI: https://www.collne.com/
 * Version: 1.0.4
 * WC requires at least: 3.0
 * WC tested up to: 4.4
 * License: GNU General Public License v2.0
 * License URI: http://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain: kupaywc
 * Domain Path: /languages
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

define( 'KUPAYWC_VERSION', '1.0.4' );
define( 'KUPAYWC_PLUGIN_FILE', __FILE__ );
define( 'KUPAYWC_PLUGIN_DIR', untrailingslashit( dirname( __FILE__ ) ) );
define( 'KUPAYWC_PLUGIN_URL', untrailingslashit( plugin_dir_url( __FILE__ ) ) );
define( 'KUPAYWC_PLUGIN_BASENAME', untrailingslashit( plugin_basename( __FILE__ ) ) );

if ( ! class_exists( 'Woo_KuronekoPay' ) ) {
	include_once KUPAYWC_PLUGIN_DIR . '/includes/class-kupaywc.php';
}

global $kupaywc;
$kupaywc = Woo_KuronekoPay::get_instance();
